Package: org.gradle.testkit.runner

## [Java] Enum TaskOutcome

- org.gradle.testkit.runner.TaskOutcome

- The outcome of executing a task during a build.

  See Also:
    BuildTask.getOutcome
  Since:
    2.6

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `FAILED` |
    `SKIPPED` |
    `SUCCESS` |
    `UP_TO_DATE` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### TaskOutcome FAILED

    - #### TaskOutcome SKIPPED

    - #### TaskOutcome SUCCESS

    - #### TaskOutcome UP_TO_DATE